 /**************************************
 * This file contains some data structures for keeping 
 * data on a SCC.
 ***************************************/


#ifndef __SIMPLE
#define __SIMPLE

#include "imp.h"

#define NUM_OF_SCCS 3
#define NUM_OF_BDS    8    /* 8 bd's per SCC */

#define SCC_0	0
#define SCC_1	1
#define SCC_2	2

#define BUSY	-1	/* error */


typedef void (int_routine)(int scc_number);
typedef void *(alloc_routine)(int length);
typedef void (free_routine)(void *buf);
typedef void (handle_rx_buffer_routine)(int scc_number, void *buff, int length);
typedef void (handle_tx_error_routine)(int scc_number, IMP_BD *tbd);
typedef void (handle_rx_error_routine)(int scc_number, IMP_BD *rbd);
typedef void (handle_lost_error_routine)(int scc_number);


typedef struct {
    IMP_BD 	            	*tbd;	/* Pionter to next Transmit BD */
    IMP_BD                  	*rbd;	/* Pionter to next Receive BD  */
    IMP_BD                  	*confbd;/* Pionter to next BD to confirm */
    void			*extra_info; /* sepcific structure that user can pass */
    int                       	max_frame_length;
    int_routine               	*inter_ptr;
    alloc_routine             	*alloc_ptr;
    free_routine              	*free_ptr;
    handle_rx_buffer_routine   	*handle_rx_buffer_ptr;
    handle_tx_error_routine   	*handle_tx_error_ptr;
    handle_rx_error_routine   	*handle_rx_error_ptr;
    handle_lost_error_routine 	*handle_lost_error_ptr;
} SCC_TABLE[NUM_OF_SCCS];

extern SCC_TABLE scc_table;
#endif
