#ifndef __TRANSP
#define __TRANSP
/*
 * trans.h
 * definitions for the TRANSPARENT controllers
 */

/*
 * transmit BD's
 */
#define	T_R	0x8000		/* ready bit */
#define	T_X	0x4000		/* extern buffer */
#define	T_W	0x2000		/* wrap bit */
#define	T_I	0x1000		/* interrupt on completion */
#define	T_L	0x0800		/* last buffer in message */

#define	T_ERROR	0x000f
#define	T_UN	0x0002		/* error: underrun*/
#define	T_CT	0x0001		/* error: CTS lost */

/*
 * receive BD's
 */
#define	R_E	0x8000		/* buffer empty */
#define	R_X	0x4000		/* external buffer */
#define	R_W	0x2000		/* wrap bit */
#define	R_I	0x1000		/* interrupt on reception */

#define	R_ERROR	0x00ff
#define	R_OV	0x0002		/* receive overrun */
#define	R_CD	0x0001		/* carrier detect lost */

/*
 * transparent interrupts
 */
#define	TRANS_CTS	0x8000	/* clear to send changed */
#define	TRANS_CD	0x4000	/* carrier detect changed */
#define	TRANS_TXE	0x1000	/* tx error */
#define	TRANS_RCH	0x0800	/* a word has been received */
#define	TRANS_BUSY	0x0400	/* busy */
#define	TRANS_TX	0x0200	/* transmit buffer */
#define	TRANS_RX	0x0100	/* receive buffer */


#endif
