#ifndef __SETUP
#define __SETUP

/* 	Defenitions for communication parameters. 
	Some of the seetings like : baud rate , 7-8 stop bits,
	parity enable should be fetched from S-regs in the modem
*/


/* Parity Defenitons */

#define  NO_PAR		0x00
#define  ODD_PAR	0x01
#define  EVEN_PAR	0x02
#define  MARK_PAR	0x03 
#define  SPACE_PAR	0x04 


/* Number of data bits	*/

#define  SEVEN_BIT_DATA	0x07
#define  EIGHT_BIT_DATA	0x08



#define NO_CONTROL	0x00
#define XON_XOFF	0x01
#define CS_CONTROL	0x02

#define XON		0x11
#define XOFF		0x13

#define ONE_STOP_B	0x00
#define TWO_STOP_B	0x01

/* structure that contains all the paramters needed about */

typedef	struct comm_settings {
	unsigned short	baud;		/* baud rate */
	unsigned char 	data_bits;	/* 7,8 data bits */
	unsigned char	parity;		/* parity selection */
	unsigned char	len;		/* character length in bits */
	unsigned char 	stop_bits;	/* number of stop bits */
}COMMUNICATION_SETUP;	

typedef void (handle_control_character)();

typedef struct control_char_handle{
	unsigned char	reject;		/* reject the character */
	unsigned char	cc;		/* control character */
	handle_control_character *cc_func_oper;	/* pointer to routine associated with thecc */
}CC_CHAR_HANDLE;
	
typedef struct control_char_flow {
	unsigned char	num_of_cc_to_handle;	/* number of control characters 0-6 */
	CC_CHAR_HANDLE cc_table[7];
}CONTROL_CHAR_TBL;

typedef struct setup {
	COMMUNICATION_SETUP comm_sett;
	CONTROL_CHAR_TBL    cc_oper;
}SETUP;
		
#endif
