#ifndef __UART
#define __UART
/*
 * uart.h
 * definitions for the UART controllers
 */

/*
 * transmit BD's
 */
#define	T_R	0x8000		/* ready bit */
#define	T_X	0x4000		/* extern buffer */
#define	T_W	0x2000		/* wrap bit */
#define	T_I	0x1000		/* interrupt on completion */
#define	T_L	0x0800		/* last buffer in message */
#define	T_A	0x0400		/* address characters in buffer */
#define	T_P	0x0200		/* send preamble before data */

#define	T_ERROR	0x000f
#define	T_CT	0x0001		/* error: CTS lost */

/*
 * receive BD's
 */
#define	R_E	0x8000		/* buffer empty */
#define	R_X	0x4000		/* external buffer */
#define	R_W	0x2000		/* wrap bit */
#define	R_I	0x1000		/* interrupt on reception */
#define	R_C	0x0800		/* buffer contains control character */
#define	R_A	0x0400		/* buffer contains address character */
#define	R_K	0x0200		/* kind of address match */
#define	R_ID	0x0100		/* buffer closed due to idles */

#define	R_ERROR	0x00ff
#define	R_BRK	0x0020		/* break character received */
#define	R_FR	0x0010		/* framing error */
#define	R_PR	0x0008		/* parity error */
#define	R_OV	0x0002		/* receive overrun */
#define	R_CD	0x0001		/* carrier detect lost */

/*
 * uart interrupts
 */
#define	UART_CTS	0x8000	/* clear to send changed */
#define	UART_CD		0x4000	/* carrier detect changed */
#define	UART_IDLE	0x2000	/* idle sequence status changed */
#define	UART_BRK	0x1000	/* break character received */
#define	UART_CCR	0x0800	/* control character received */
#define	UART_BUSY	0x0400	/* busy */
#define	UART_TX		0x0200	/* transmit buffer */
#define	UART_RX		0x0100	/* receive buffer */

#endif
